// @file CaptureDataSource.dart
// @brief Define the Data Source object in Capture
// @copyright © 2017 Socket Mobile, Inc.

// @brief idenfity a barcode symbology or a RFID/NFC Tag

DATASOURCES$;

// @brief define the data source status

class CaptureDataSourceStatus {
	// the data source status is disabled
	int Disable = 0;

	// the data source status is enabled
	int Enable = 1;

	// the data source is not supported
	int NotSupported = 2;

}
;

// @brief define the flag value of a data source structure

class CaptureDataSourceFlags {
	// the data source contains a status
	int Status = 1;

	// the data source contains some parameters
	int Param = 2;

}
;
